{
  name,
  config,
  lib,
  inputs,
  ...
}: {
  imports = [
    ./common_config.nix
    ../modules
    inputs.sops-nix.nixosModules.sops
    # inputs.home-manager.nixosModules.home-manager
  ];

  networking.hostName = name;

  deployment = {
    replaceUnknownProfiles = lib.mkDefault true;
    buildOnTarget = lib.mkDefault false;
    targetHost = lib.mkDefault "${name}.lab";
    tags = [config.nixpkgs.system name "homelab"];
    keys = {
      "age.key" = {
        destDir = "/run/keys";
        keyFile = "/home/plasmagoat/.config/age/age.key";
      };
    };
  };

  sops = {
    age.keyFile = "/run/keys/age.key";
    defaultSopsFile = ../../secrets/secrets.yaml;
  };

  nodeExporter.enable = lib.mkDefault true;
  journalLog.enable = lib.mkDefault true;
}
